Berkeley DB version 4.2.52

## com.sleepycat.db
Class DbTxnStat.Active

    java.lang.Object
      |
      +--com.sleepycat.db.DbTxnStat.Active

Enclosing class:
  DbTxnStat

public static class DbTxnStat.Active
extends Object

Field Summary
`DbLsn` `lsn` The current log sequence number when the transaction was begun.
`int` `parentid` The transaction ID of the parent transaction (or 0, if no parent).
`int` `txnid` The transaction ID of the transaction.
`int` `xa_status` If the transaction is an XA transaction, the status of the transaction, otherwise 0.
`byte[]` `xid` If the transaction is an XA transaction, the transaction's XA ID.

Constructor Summary
`DbTxnStat.Active()`

Method Summary
`String` `toString()` Provide a string representation of all the fields contained within this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### txnid

    public int txnid

  The transaction ID of the transaction.

### parentid

    public int parentid

  The transaction ID of the parent transaction (or 0, if no parent).

### lsn

    public DbLsn lsn

  The current log sequence number when the transaction was begun.

### xa_status

    public int xa_status

  If the transaction is an XA transaction, the status of the transaction, otherwise 0.

### xid

    public byte[] xid

  If the transaction is an XA transaction, the transaction's XA ID.

Constructor Detail

### DbTxnStat.Active

    public DbTxnStat.Active()

Method Detail

### toString

    public String toString()

  Provide a string representation of all the fields contained within this class.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation.

Berkeley DB version 4.2.52

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.